获取任务状态
curl --request GET \
--url https://api.devin.ai/beta/v2/enterprise/repositories/{org_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/beta/v2/enterprise/repositories/{org_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/beta/v2/enterprise/repositories/{org_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"indexing_enabled": true,
"latest_completed_search_index_job": {
"commit": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"job_id": "<string>"
},
"latest_completed_wiki_index_job": {
"commit": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"job_id": "<string>"
},
"latest_index": {
"commit": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"job_id": "<string>"
},
"name": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}代码仓库端点(测试版)
获取代码仓库索引状态
获取指定组织的代码仓库索引状态。
GET
/
beta
/
v2
/
enterprise
/
repositories
/
{org_id}
获取任务状态
此接口会返回与指定组织关联的所有代码仓库的当前索引状态。响应中包含有关索引任务、提交 SHA 以及每个代码仓库时间戳等信息。
授权
仅供 Enterprise 管理员使用的个人 API Key(apk_user_*)
路径参数
响应
成功响应
⌘I

